﻿using System.Text;

namespace EnvelopeCreatorProject.Models.Builders
{
    internal class EnvelopeMailBuilder : IEnvelopeBuilder
    {
        private readonly string _body;
        private readonly string _subject;


        internal EnvelopeMailBuilder(string body, string subject)
        {
            _body = body;
            _subject = subject;
        }

        public void BuildTo(StringBuilder strBuilder) {
            strBuilder.AppendLine("\"emailBlurb\":\"" + _body + "\",");
            strBuilder.AppendLine("\"emailSubject\":\"" + _subject + "\",");
        }
    }
}
